%error = ForceRequiredAddOn("Item_TF2Supplies"); //Requiring the add-on Item_TF2Supplies.

if(%error == $Error::AddOn_Disabled) //Forcing the add-on to load. If the user had it disabled, then remove the items ui names to prevent user from spawning them.
{
	healthKitSmallItem.uiName = "";
	healthKitMediumItem.uiName = "";
	healthKitLargeItem.uiName = "";
}

if(%error == $Error::AddOn_NotFound) //The required add-on wasn't found. You ain't gonna use this add-on without it.
{
   error("ERROR: Item_HealthPickups - required add-on Item_TF2Supplies not found");
}

if (isFile("Add-Ons/System_ReturnToBlockland/server.cs")) //Checking for RTB.
{
	if(!$RTB::RTBR_ServerControl_Hook)
		exec("Add-Ons/System_ReturnToBlockland/RTBR_ServerControl_Hook.cs");
	//Defining RTB prefs.
	RTB_registerPref("Heart Respawn Time (ms)", "Health Pickups",  "$Pref::HealthP::RespawnHeart", "int 0 600000", "Item_HealthPickups",  10000, true, false, "");
	RTB_registerPref("Pill Respawn Time (ms)", "Health Pickups",  "$Pref::HealthP::RespawnPill", "int 0 600000", "Item_HealthPickups",  10000, true, false, "");
	RTB_registerPref("Plus Respawn Time (ms)", "Health Pickups",  "$Pref::HealthP::RespawnPlus", "int 0 600000", "Item_HealthPickups",  10000, true, false, "");
	RTB_registerPref("Heart Heal Amount", "Health Pickups", "$Pref::HealthP::HealHeart", "int 0 100000", "Item_HealthPickups", "50", false, false, "callbackHealHeart");
	RTB_registerPref("Pill Heal Amount", "Health Pickups", "$Pref::HealthP::HealPill", "int 0 100000", "Item_HealthPickups", "50", false, false, "callbackHealPill");
	RTB_registerPref("Plus Heal Amount", "Health Pickups", "$Pref::HealthP::HealPlus", "int 0 100000", "Item_HealthPickups", "50", false, false, "callbackHealPlus");
}
else //RTB not found.
{
	//Defining prefs for non-RTB users.
	$Pref::HealthP::RespawnHeart = 10000;
	$Pref::HealthP::RespawnPill = 10000;
	$Pref::HealthP::RespawnPlus = 10000;
	$Pref::HealthP::HealHeart = 50;
	$Pref::HealthP::HealPill = 50;
	$Pref::HealthP::HealPlus = 50;
}

function callbackHealHeart(%oldValue, %newValue)
{
	healthHeartItem.healScale = ($Pref::TF2S::Percentage) ? %newValue / 100 : %newValue;
}

function callbackHealPill(%oldValue, %newValue)
{
	healthPillItem.healScale = ($Pref::TF2S::Percentage) ? %newValue / 100 : %newValue;
}

function callbackHealPlus(%oldValue, %newValue)
{
	healthPlusItem.healScale = ($Pref::TF2S::Percentage) ? %newValue / 100 : %newValue;
}

exec("./Item_HealthPickups.cs");